Package wx :: Package lib :: Module sheet :: Class CSheet

[frames | no frames]

## Type CSheet

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                ScrolledWindow --+
                                 |
                              Grid --+
                                     |
                                    CSheet

Method Summary
| `__init__(self, parent)`
| ``Clear`(self)` Clear the currently selected cells
| ``Copy`(self)` Copy the currently selected cells to the clipboard
| `OnCellChange(self, event)`
| `OnColSize(self, event)`
| ``OnGridSelectCell`(self, event)` Track cell selections
| ``OnLeftClick`(self, event)` Override left-click behavior to prevent left-click edit initiation
| ``OnLeftDoubleClick`(self, event)` Initiate the cell editor on a double-click
| ``OnRangeSelect`(self, event)` Track which cells are selected so that copy/paste behavior can be implemented
| ``OnRightClick`(self, event)` Move grid cursor when a cell is right-clicked
| `OnRowSize(self, event)`
| ``Paste`(self)` Paste the contents of the clipboard into the currently selected cells
| ``SetNumberCols`(self, numCols)` Set the number of columns in the sheet
| ``SetNumberRows`(self, numRows)` Set the number of rows in the sheet

Property Summary

Class Variable Summary

Instance Method Details

### Clear(self)

Clear the currently selected cells

### Copy(self)

Copy the currently selected cells to the clipboard

### OnGridSelectCell(self, event)

Track cell selections

### OnLeftClick(self, event)

Override left-click behavior to prevent left-click edit initiation

### OnLeftDoubleClick(self, event)

Initiate the cell editor on a double-click

### OnRangeSelect(self, event)

Track which cells are selected so that copy/paste behavior can be implemented

### OnRightClick(self, event)

Move grid cursor when a cell is right-clicked

### Paste(self)

Paste the contents of the clipboard into the currently selected cells

### SetNumberCols(self, numCols=1)

Set the number of columns in the sheet

### SetNumberRows(self, numRows=1)

Set the number of rows in the sheet

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:43 2007 | http://epydoc.sf.net